%define pkg_name        XML-RSS-Parser
%define pkg_version     4
%define rpm_pkg_version 4
%define rpm_pkg_release 2.n0i.2

Summary:       A liberal object-oriented parser for RSS feeds
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TI/TIMA/%{pkg_name}-%{pkg_version}.0.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Class::ErrorHandler)
BuildRequires: perl(Class::XPath) >= 1.4
BuildRequires: perl(XML::Elemental) >= 2.0


%description
XML::RSS::Parser is a lightweight liberal parser of RSS feeds. This parser
is "liberal" in that it does not demand compliance of a specific RSS
version and will attempt to gracefully handle tags it does not expect or
understand. The parser's only requirements is that the file is well-formed
XML and remotely resembles RSS. Roughly speaking, well formed XML with a
"channel" element as a direct sibling or the root tag and "item" elements
etc.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 4-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9

* Fri Feb 03 2006 Marius Feraru <altblue@n0i.net> 4-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.8
